Skip to main content
PUT
/
teams
/
{teamId}
Update a team for a company
curl --request PUT \
  --url https://openapi.pleo.io/v1/teams/{teamId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "code": "<string>",
  "employees": [
    {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "jobTitle": "<string>",
      "role": "<string>",
      "phone": "<string>",
      "avatar": {
        "url": "<string>"
      },
      "code": "<string>",
      "teamId": "<string>"
    }
  ],
  "reviewers": [
    {
      "id": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "email": "<string>",
      "jobTitle": "<string>",
      "role": "<string>",
      "phone": "<string>",
      "avatar": {
        "url": "<string>"
      },
      "code": "<string>",
      "teamId": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.pleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Open API Bearer token

Path Parameters

teamId
string
required

Unique UUID of the team.

Example:

"0f0e000-000d-0d00-000b-00db0d000fae"

Body

application/json
name
string
required

Team name

code
string

Team code

Response

A team has been updated

id
string
required

The unique UUID identifier of the department

name
string
required

Name of the department

code
string

Code of the department

employees
object[]

Team employee

reviewers
object[]

Team reviewers